Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.asn1
Class ASN1Boolean

`java.lang.Object
oracle.security.crypto.asn1.ASN1Boolean`

All Implemented Interfaces:
  ASN1Object, ASN1TaggedObject, Streamable

public class ASN1Boolean
extends java.lang.Object
implements ASN1TaggedObject

The universal ASN.1 boolean type.

The input may be any valid BER encoding of an ASN.1 boolean value. The output is always a DER encoding.

Constructor Summary
`ASN1Boolean()`
`ASN1Boolean(boolean value)`
`ASN1Boolean(java.io.InputStream is)`

Method Summary
`ASN1Header` | `getHeader()`
`boolean` | `getValue()`
`void` | `input(java.io.InputStream is)` Inputs this object from the specified input stream.
`static boolean` | `inputValue(java.io.InputStream is)`
`int` | `length()` Length of this object's encoding.
`void` | `output(java.io.OutputStream os)` Outputs this object to the specified output stream.
`static void` | `outputValue(java.io.OutputStream os, boolean value)`
`static void` | `outputValueWithTag(java.io.OutputStream os, boolean value, int tag)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASN1Boolean

    public ASN1Boolean()

### ASN1Boolean

    public ASN1Boolean(boolean value)

### ASN1Boolean

    public ASN1Boolean(java.io.InputStream is)
                throws java.io.IOException

Method Detail

### getHeader

    public ASN1Header getHeader()

  Specified by:
    `getHeader` in interface `ASN1TaggedObject`

### getValue

    public boolean getValue()

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Description copied from interface: `Streamable`
  Inputs this object from the specified input stream.
  Specified by:
    `input` in interface `Streamable`
  Throws:
    `java.io.IOException`

### inputValue

    public static boolean inputValue(java.io.InputStream is)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Description copied from interface: `Streamable`
  Outputs this object to the specified output stream.
  Specified by:
    `output` in interface `Streamable`
  Throws:
    `java.io.IOException`

### length

    public int length()

  Description copied from interface: `Streamable`
  Length of this object's encoding.
  Specified by:
    `length` in interface `Streamable`

### outputValue

    public static void outputValue(java.io.OutputStream os,
                                   boolean value)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### outputValueWithTag

    public static void outputValueWithTag(java.io.OutputStream os,
                                          boolean value,
                                          int tag)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.